## Ch 12: Taking TensorFlow to Production

 1. [Visualizing graphs in TensorBoard](01_Visualizing_Computational_Graphs#01_using_tensorboard)
   * How to visualize graphs and important values (loss, accuracy, batch training time, and so on) even during training.
 2. [Managing Hyperparameter Tuning with TensorBoard’s HParams](02_Hyperparameter_tuning_with_HParams#02_Hyperparameter_tuning_with_HParams)
   * How HParams HParams, a TensorBoard plugin, allows finding the better hyperparameters optimization.
 3. [Implementing unit tests using tf.test](03_Implementing_Unit_Tests#03_implementing_unit_tests)
   * How to implement test using TensorFlow's testing framework.
 4. [Using multiple executors](04_Using_Multiple_Devices#04_using_multiple_devices)
   * How to use a machine with multiple devices.  E.g., a machine with a CPU, and one or more GPUs.
 5. [Parallelizing TensorFlow using tf.distribute.strategy](05_Parallelizing_TensorFlow#05_parallelizing_tensorflow)
   * How to use mirrored strategy for speedup the training.
 6. [Saving and restoring a TensorFlow model](06_Saving_Restoring_TF_Model#06_Saving_Restoring_TF_Model)
   * How to save and restore a TensorFlow model.
 7. [Using TensorFlow Serving](07_Using_TensorFlow_Serving#07_Using_TFX_Serving)
   * How to deploy models using TensorFlow Serving component (TFX).
