## Ch 8: Convolutional Neural Networks

 1. [Introduction](01_Intro_to_CNN#introduction-to-convolutional-neural-networks)
  * We introduce convolutional neural networks (CNN), and how we can use them in TensorFlow.
 2. [Implementing a Simple CNN.](02_Intro_to_CNN_MNIST#introduction-to-cnn-with-mnist)
  * Here, we show how to create a CNN architecture that performs well on the MNIST digit recognition task.
 3. [Implementing an Advanced CNN.](03_CNN_CIFAR10#cifar-10-cnn)
  * In this example, we show how to replicate an architecture for the CIFAR-10 image recognition task.
 4. [Retraining an Existing Architecture.](04_Retraining_Current_Architectures#retraining-fine-tuning-current-cnn-architectures)
  * We show how to re-train the Google Inception model to work on the CIFAR-10 dataset.
 5. [Using Stylenet/NeuralStyle.](05_Stylenet_NeuralStyle#stylenet--neural-style)
  * In this recipe, we show a basic implementation of using Stylenet or Neuralstyle.
 6. [Implementing Deep Dream.](06_Deepdream#deepdream-in-tensorflow)
  * This script shows a line-by-line explanation of TensorFlow's deepdream tutorial. Taken from [Deepdream on TensorFlow](https://www.tensorflow.org/tutorials/generative/deepdream).
